# Babel Plugin: Root Import

Babel plugin to replace import paths to relative ones.

## Installation

Install using the NPM:

```
npm install -D babel-plugin-root-import
```

## Usage

Add the plugin in your [babel configuration](https://babeljs.io/docs/usage/babelrc/) file.

```
{ "plugins": ["root-import"] }
```

Just use the "~/" in your imports when you need point to the root directory.

```javascript
import ActionTypes from '~/constants/ActionTypes';
```

### Options

You can change the default root path (src) for a custom:

```
{ "plugins": [["root-import", { "rootPath": "foo/bar" }]] }
```

## License

MIT
